interface RepositoryTempItem {
  id: string;
  name: string;
  workflowRunId?: string;
  appId?: string;
  userId?: string;
  taskId?: string;
  url?: string;
}

interface RepositoryHistoryItem {
  id: string;
  workflowRun: {
    id: string;
  };
  createdByEndUser: {
    id: string;
    sessionId: string;
  };
}

interface Props {
  items?: RepositoryHistoryItem[];
  temp: RepositoryTempItem[];
  title: string;
  loading: boolean;
}

interface ResultItem {
  key: number;
  role: 'ai' | 'user';
  content: any;
  footer?: any;
}

interface WorkflowContext {
  conversationId: string;
  userId: string;
  inputs: {
    [key: string]: any;
  };
  files: [];
}

interface WorkflowResult {
  data: {
    outputs: {
      files: [
        {
          filename: string;
          url: string;
        },
      ];
    };
  };
}

interface PropsWork {
  itemMessage?: ResultItem[];
  item?: RepositoryTempItem;
  runWorkflow?: (appId: any, data: WorkflowContext) => Promise<WorkflowResult>;
}

interface MenuItem {
  key: string;
  label: string;
  title: string;
}

export type {
  MenuItem,
  Props,
  PropsWork,
  RepositoryHistoryItem,
  RepositoryTempItem,
  ResultItem,
  WorkflowContext,
  WorkflowResult,
};
